This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1267179 - Review Request: perl-CBOR-XS - Concise Binary Object Representation (CBOR)
Review Request: perl-CBOR-XS - Concise Binary Object Representation (CBOR)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1266751
  Show dependency treegraph
 
Reported: 2015-09-29 04:56 EDT by Petr Pisar
Modified: 2016-02-21 11:28 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-CBOR-XS-1.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:28:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-29 04:56:50 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-CBOR-XS/perl-CBOR-XS.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-CBOR-XS/perl-CBOR-XS-1.3-1.fc24.src.rpm
Description:
This module converts Perl data structures to the Concise Binary Object
Representation (CBOR) and vice versa. CBOR is a fast binary serialisation
format that aims to use an (almost) superset of the JSON data model, i.e.
when you can represent something useful in JSON, you should be able to
represent it in CBOR.

Fedora Account System Username: ppisar
Comment 1 Upstream Release Monitoring 2015-09-29 06:00:04 EDT
jplesnik's scratch build of perl-CBOR-XS-1.3-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11264869
Comment 2 Jitka Plesnikova 2015-09-29 06:11:21 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-CBOR-XS-1.3-1.fc24.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Exporter)
      1 perl(Math::BigFloat)
      1 perl(Math::BigInt)
      1 perl(Time::Piece)
      1 perl(Types::Serialiser)
      1 perl(URI)
      1 perl(XSLoader)
      1 perl(common::sense)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

Binary requires are Ok.

$ rpm -qp --provides perl-CBOR-XS-1.3-1.fc24.x86_64.rpm | sort | uniq -c
      1 perl(CBOR::XS) = 1.3
      1 perl-CBOR-XS = 1.3-1.fc24
      1 perl-CBOR-XS(x86-64) = 1.3-1.fc24

Binary provides are Ok.

$ rpmlint perl-CBOR-XS*
perl-CBOR-XS.src: W: spelling-error %description -l en_US versa -> avers, verse, verso
perl-CBOR-XS.src: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
perl-CBOR-XS.src: W: spelling-error %description -l en_US superset -> super set, super-set, supersede
perl-CBOR-XS.x86_64: W: spelling-error %description -l en_US versa -> avers, verse, verso
perl-CBOR-XS.x86_64: W: spelling-error %description -l en_US serialisation -> serialization, sensationalist, sensationalism
perl-CBOR-XS.x86_64: W: spelling-error %description -l en_US superset -> super set, super-set, supersede
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Rpmlint is ok

The package is good. 
APPROVED.
Comment 3 Petr Pisar 2015-09-29 08:56:05 EDT
New Package SCM Request
=======================
Package Name: perl-CBOR-XS
Short Description: Concise Binary Object Representation (CBOR)
Upstream URL: http://search.cpan.org/dist/CBOR-XS/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2015-09-29 15:29:40 EDT
Git done (by process-git-requests).
Comment 5 Petr Pisar 2015-09-30 04:26:30 EDT
Thank you for the review and the repository.
Comment 6 Petr Šabata 2016-02-08 05:04:03 EST
*** Bug 1305266 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2016-02-09 03:41:22 EST
perl-CBOR-XS-1.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0eca078298
Comment 8 Fedora Update System 2016-02-09 17:26:07 EST
perl-CBOR-XS-1.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0eca078298
Comment 9 Fedora Update System 2016-02-21 11:27:58 EST
perl-CBOR-XS-1.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.